# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/ti,src4xxx.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Texas Instruments SRC4392 Device Tree Bindings

description: |
  The SRC4392 is a digital audio codec that can be connected via
  I2C or SPI. Currently, only I2C bus is supported.

maintainers:
  - Matt Flax <flatmax@flatmax.com>

allOf:
  - $ref: name-prefix.yaml#

properties:
  compatible:
    const: ti,src4392

  "#sound-dai-cells":
    const: 0

  reg:
    maxItems: 1

required:
  - "#sound-dai-cells"
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        audio-codec@70 {
            #sound-dai-cells = <0>;
            compatible = "ti,src4392";
            reg = <0x70>;
        };
    };
...
